/*******************************************************************************
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *  
 *******************************************************************************/
//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.1.1-b02-fcs 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2008.12.04 at 02:20:17 PM IST 
//

package org.apache.wink.webdav.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * The <code>supportedlock</code> Property per the WebDAV specification [RFC
 * 4918]
 * 
 * <pre>
 *    Name:       supportedlock
 *    Namespace:  DAV:
 *    Purpose:    To provide a listing of the lock capabilities supported
 *    by the resource.
 *    Description: The supportedlock property of a resource returns a
 *    listing of the combinations of scope and access types which may be
 *    specified in a lock request on the resource.  Note that the actual
 *    contents are themselves controlled by access controls so a server is
 *    not required to provide information the client is not authorized to
 *    see.
 * 
 *    &lt;!ELEMENT supportedlock (lockentry)* &gt;
 * 
 *    Example - Retrieving the supportedlock Property
 * 
 *    &gt;&gt;Request
 * 
 *    PROPFIND  /container/ HTTP/1.1
 *    Host: www.foo.bar
 *    Content-Length: xxxx
 *    Content-Type: text/xml; charset=&quot;utf-8&quot;
 * 
 *    &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot; ?&gt;
 *    &lt;D:propfind xmlns:D=&quot;DAV:&quot;&gt;
 *      &lt;D:prop&gt;&lt;D:supportedlock/&gt;&lt;/D:prop&gt;
 *    &lt;/D:propfind&gt;
 * 
 *    &gt;&gt;Response
 * 
 *    HTTP/1.1 207 Multi-Status
 *    Content-Type: text/xml; charset=&quot;utf-8&quot;
 *    Content-Length: xxxx
 * 
 *    &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot; ?&gt;
 *    &lt;D:multistatus xmlns:D=&quot;DAV:&quot;&gt;
 *      &lt;D:response&gt;
 *           &lt;D:href&gt;http://www.foo.bar/container/&lt;/D:href&gt;
 *           &lt;D:propstat&gt;
 *                &lt;D:prop&gt;
 *                     &lt;D:supportedlock&gt;
 *                          &lt;D:lockentry&gt;
 *                               &lt;D:lockscope&gt;&lt;D:exclusive/&gt;&lt;/D:lockscope&gt;
 *                               &lt;D:locktype&gt;&lt;D:write/&gt;&lt;/D:locktype&gt;
 *                          &lt;/D:lockentry&gt;
 *                          &lt;D:lockentry&gt;
 *                               &lt;D:lockscope&gt;&lt;D:shared/&gt;&lt;/D:lockscope&gt;
 *                               &lt;D:locktype&gt;&lt;D:write/&gt;&lt;/D:locktype&gt;
 *                          &lt;/D:lockentry&gt;
 *                     &lt;/D:supportedlock&gt;
 *                &lt;/D:prop&gt;
 *                &lt;D:status&gt;HTTP/1.1 200 OK&lt;/D:status&gt;
 *           &lt;/D:propstat&gt;
 *      &lt;/D:response&gt;
 *    &lt;/D:multistatus&gt;
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"lockentry"})
@XmlRootElement(name = "supportedlock")
public class Supportedlock {

    protected List<Lockentry> lockentry;

    /**
     * Gets the value of the lockentry property.
     * <p>
     * This accessor method returns a reference to the live list, not a
     * snapshot. Therefore any modification you make to the returned list will
     * be present inside the JAXB object. This is why there is not a
     * <CODE>set</CODE> method for the lockentry property.
     * <p>
     * For example, to add a new item, do as follows:
     * 
     * <pre>
     * getLockentry().add(newItem);
     * </pre>
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Lockentry }
     */
    public List<Lockentry> getLockentry() {
        if (lockentry == null) {
            lockentry = new ArrayList<Lockentry>();
        }
        return this.lockentry;
    }

}
